import type { Nullable } from "./base-types";
import CultureInfo from "./culture-info";
export declare class Guard {
    static notNull(value: unknown, valueName?: string): void;
    static notUndefined(value: unknown, valueName?: string): void;
    static notNullOrUndefined(value: unknown, valueName?: string): void;
    static parsableInteger(value: any, valueName?: string): void;
    static parsableFloat(value: any, valueName?: string): void;
    static isString(value: Nullable<string>, valueName?: string): void;
    static isInteger(value: number, valueName?: string): void;
    static arrayNotEmpty(value: Array<unknown>, valueName?: string): void;
    static arrayMaxOne(value: Array<unknown>, valueName?: string): void;
    static arrayNoneNullOrUndefined(value: Array<unknown>, valueName?: string, isOptional?: boolean): void;
    static arrayNoneNullOrEmptyString(value: Array<unknown>, valueName?: string, isOptional?: boolean): void;
    static arrayNoneNullOrInvariantCulture(value: Array<CultureInfo>, valueName?: string, isOptional?: boolean): void;
    static isStringArray(value: Array<unknown>, valueName?: string, isOptional?: boolean): void;
    static isIntegerArray(value: Array<unknown>, valueName?: string, isOptional?: boolean): void;
    static isNumberArray(value: Array<unknown>, valueName?: string, isOptional?: boolean): void;
    static stringNotNullOrEmpty(value: Nullable<string>, valueName?: string): void;
    static validId(value: number, valueName?: string): void;
    static validIdOrNull(value: Nullable<number>, valueName?: string): void;
    static validIds(value: Array<number>, valueName?: string): void;
    static notInvariantCulture(culture: CultureInfo, valueName?: string): void;
    static notNegative(value: number, valueName?: string): void;
    static greaterThan(number: number, minValue: number, valueName?: string): void;
    static greaterThanOrEqual(number: number, minValue: number, valueName?: string): void;
    static lessThan(number: number, maxValue: number, valueName?: string): void;
    static lessThanOrEqual(number: number, maxValue: number, valueName?: string): void;
    static isNumber(value: unknown, valueName?: string): void;
}
export default Guard;
